.cosplay-page-wrapper {
    padding: 80px 0;
}

.cosplay-title-wrapper {
    background-color: #f0f0f0; /* Light grey background from wireframe */
    text-align: center;
    padding: 60px 0;
}

.cosplay-title h2 {
    color: var(--primary-colour);
    font-size: 40px;
    margin-bottom: 12px;
}

.cosplay-title h1 {
    color: var(--black);
    font-size: 60px;
}

.cosplay-content.container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(min(100%, 350px), 1fr));
    gap: 80px; 
    align-items: center; 
    margin-bottom: 40px;
}


.cosplay-content-images {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(min(100%, 200px), 1fr));
    gap: 20px; 
}

.cosplay-content-images .cosplay-image {
    width: 100%; 
    min-width: 0;
}

.cosplay-gallery-featured img {
    width: 100%;
    height: auto;
    aspect-ratio: 4 / 5; 
    object-fit: cover;
}

.cosplay-content-images .cosplay-image img {
    width: 100%;
    height: auto;
    aspect-ratio: 4 / 5; 
    object-fit: cover;
    display: block;
}

/* Description styling */
.cosplay-description h2 {
    color: var(--white);
    font-size: 40px;
    margin-bottom: 12px;
}

.cosplay-meta {
    font-size: 20px;
    margin-bottom: 40px;
}

.cosplay-meta strong {
    font-weight: bold;
}

/* Links to Franchises/Netflix should be white */
.cosplay-meta a {
    color: var(--white);
    text-decoration: underline;
}

.cosplay-description span p {
    margin-top: 0;
    margin-bottom: 20px;
    line-height: 1.6;
}
